# Setting up live connectors

We need to setup up Live Connectors to access data from sources other than a database, that support API based CRUD operations.

To setup a Live Connector,

1. Login to the **CloudIO** platform. The **CloudIO homepage** is displayed.

![](/files/-M-U9qAvgZiX89_Lodr3)

&#x20;2\. In the upper right corner, in the menu bar, click ![](/files/-M-UBB-CB71eRqi0Vhir) .

The **Navigation** pane is displayed.

![](/files/-M-UA0ChX912W2x1yuBd)

&#x20;3\. To setup a live connector, under **Administration**, click **Live Connectors**.

The **Live Connectors** page is displayed.

![](/files/-M-UAJDTs2TEiVzbbf6I)

&#x20;4\. To setup a live connector using predefined service provider like Oracle SaaS or SFDC, open the corresponding service provider and click **Add New Connection**.

The **Setup Connection** widow is displayed. Enter the required connection details

![](/files/-M-UA_7IgvIJUaK5VLtz)

&#x20;5\. To setup a generic REST service provider, open the generic REST service provider and click **Add New Connection**.&#x20;

The **Setup Connection** widow is displayed. Enter the required connection details

![](/files/-M-UAegd62kMVvj4B4Fu)

&#x20;6\. To complete the configuration, update the describe API in Params JSON along with any other relevant attributes.

![](/files/-M-UAvoHGqFj89KWBfpa)

&#x20;7\. Copy and paste the following JSON excerpt in the **Describe JSON**.

```
{       
    "describe_api": "https://xxx.xx/{service_name}/describe",
    "root_node" : "fields",         
    "display_name": "label",        
    "column_name" :"name",      
    "data_type" : "type",       
     "primary_key" : "Id", 
    "data_length" : "length",                   
    "DOUBLE" : "percent,currency,double,int",       
    "VARCHAR2" : "string,picklist,phone,reference,ID,boolean,url,email,address,collection",          
    "DATE" :"dataTime,date"      
}
```

&#x20;8\. To create a connection, click **Submit**.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudio.io/setting-up-the-cloudio-platform/platform-installation/setting-up-live-connectors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
